[[../]]

*plugin/ls2.inc.php [#k2caa452]
PukiWiki 1.4.5 以降に同梱されている、r1.23 を基準に書きます
PukiWiki 1.4.5 以降に同梱されている、r1.23 を基準に書いてあります

-制限しているページの内容のみ表示したくない場合
-閲覧を制限しているページの内容のみ表示したくない場合
--145行目のあたり
  	array_push($params['result'], $ret);
  
 +	if (! check_readable($page, false, false)) return;
  	$anchor = PLUGIN_LS2_ANCHOR_ORIGIN;
  	$matches = array();
  	foreach (get_source($page) as $line) {


-制限しているページの名前も表示したくない場合
-閲覧を制限しているページの名前も表示したくない場合
--115行目のあたり
  function plugin_ls2_get_headings($page, & $params, $level, $include = FALSE)
  {
  	global $script;
  	static $_ls2_anchor = 0;
  
 +	if (! check_readable($page, false, false)) return;
  	// ページが未表示のとき

トップ   編集 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 検索 最終更新   ヘルプ   最終更新のRSS
Site admin: PukiWiki Development Team

PukiWiki 1.5.3+ © 2001-2020 PukiWiki Development Team. Powered by PHP 5.6.40-0+deb8u12. HTML convert time: 0.098 sec.

OSDN